Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2601 - Enlightenment Memory Leaks
Summary: Enlightenment Memory Leaks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-06 15:47 UTC by mxk
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-04 15:25:15 UTC


Attachments (Terms of Use)

Description mxk 1999-05-06 15:47:36 UTC
Under stock redhat 6.0, using gnome, the supplied
enlightenment binaries leak memory like a sieve with a hole
in it. I'm using all stock supplied packages, and gnome with
the marble 3d theme. It seems that when I change desktop
areas (goto left desktop or right, etc.) that the binary's
size grows, and it never seems to go down. gnomepager seems
to grow along with it. Restarting E helps, but doesn't
reduce gnomepager's size. This is REALLY annoying, as I need
to log in and out to fix the whole problem.

Comment 1 richardc 1999-06-03 13:00:59 UTC
I've noticed this as well.  Running Xvnc, under the gnome desktop,
the image grows massively every time I just select a menu.  Within a
matter of minutes, the resident image is so big, I have to shut down
and restart the server.  This does not happen under KDE.

Comment 2 Jay Turner 1999-06-04 15:25:59 UTC
We are aware of several GTK themes that have memory leaks.  Try
changing the GTK theme and see whether you still get the E memory
leak.  In the test lab we have not seen leaks from E alone, only  when
combined with leaky themes and applications.  Reopen the bug if you
are still having problems.


Note You need to log in before you can comment on or make changes to this bug.